# IGESToBRep_TopoCurve.hxx File Reference

`#include <TColGeom_SequenceOfCurve.hxx>`
`#include <TColGeom2d_SequenceOfCurve.hxx>`
`#include <Standard_Boolean.hxx>`
`#include <IGESToBRep_CurveAndSurface.hxx>`
`#include <Standard_Real.hxx>`
`#include <Handle_IGESData_IGESEntity.hxx>`
`#include <Handle_IGESGeom_Point.hxx>`
`#include <Handle_IGESGeom_CompositeCurve.hxx>`
`#include <Handle_IGESGeom_OffsetCurve.hxx>`
`#include <Handle_IGESGeom_CurveOnSurface.hxx>`
`#include <Handle_IGESGeom_Boundary.hxx>`
`#include <Handle_Geom_BSplineCurve.hxx>`
`#include <Standard_Integer.hxx>`
`#include <Handle_Geom_Curve.hxx>`
`#include <Handle_Geom2d_BSplineCurve.hxx>`
`#include <Handle_Geom2d_Curve.hxx>`
`#include <Standard.hxx>`
`#include <Standard_Macro.hxx>`